|  | Home | Documentation | graphH.h File Reference updated Tue Aug 22 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

Macros | Functions
graphH.h File Reference
`#include "graphStub.h"`
Include dependency graph for graphH.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | SOAP_TYPE_byte_DEFINED
#define | SOAP_TYPE_int_DEFINED
#define | SOAP_TYPE_Graph_DEFINED
#define | SOAP_TYPE_SOAP_ENV__Fault_DEFINED
#define | SOAP_TYPE_SOAP_ENV__Reason_DEFINED
#define | SOAP_TYPE_SOAP_ENV__Detail_DEFINED
#define | SOAP_TYPE_SOAP_ENV__Code_DEFINED
#define | SOAP_TYPE_SOAP_ENV__Header_DEFINED
#define | SOAP_TYPE_PointerToSOAP_ENV__Reason_DEFINED
#define | SOAP_TYPE_PointerToSOAP_ENV__Detail_DEFINED
#define | SOAP_TYPE_PointerToSOAP_ENV__Code_DEFINED
#define | SOAP_TYPE_PointerToGraph_DEFINED
#define | SOAP_TYPE__XML_DEFINED
#define | SOAP_TYPE__QName_DEFINED
#define | soap__QName2s(soap, a) soap_QName2s(soap, (a))
#define | soap_s2_QName(soap, s, a) soap_s2QName((soap), (s), (char**)(a), 0, -1, NULL)
#define | SOAP_TYPE_string_DEFINED
#define | soap_string2s(soap, a) (a)
#define | soap_s2string(soap, s, a) soap_s2char((soap), (s), (char**)(a), 0, -1, NULL)
#define | SOAP_TYPE_std__vectorTemplateOfPointerToGraph_DEFINED

## Functions
SOAP_FMAC3 void SOAP_FMAC4 | soap_markelement (struct soap *, const void *, int)
SOAP_FMAC3 int SOAP_FMAC4 | soap_putindependent (struct soap *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_getindependent (struct soap *)
SOAP_FMAC3 void *SOAP_FMAC4 | soap_getelement (struct soap *, int *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_putelement (struct soap *, const void *, const char *, int, int)
SOAP_FMAC3 int SOAP_FMAC4 | soap_ignore_element (struct soap *)
SOAP_FMAC3 const char **SOAP_FMAC4 | soap_faultcode (struct soap *soap)
SOAP_FMAC3 void *SOAP_FMAC4 | graph_instantiate (struct soap *, int, const char *, const char *, size_t *)
SOAP_FMAC3 int SOAP_FMAC4 | graph_fdelete (struct soap_clist *)
SOAP_FMAC3 int SOAP_FMAC4 | graph_fbase (int, int)
SOAP_FMAC3 void SOAP_FMAC4 | graph_finsert (struct soap *, int, int, void *, size_t, const void *, void **)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_byte (struct soap *, char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_byte (struct soap *, const char *, int, const char *, const char *)
SOAP_FMAC3 char *SOAP_FMAC4 | soap_in_byte (struct soap *, const char *, char *, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_byte (struct soap *, const char *, const char *, const char *)
int | soap_write_byte (struct soap *soap, char const *p)
SOAP_FMAC3 char *SOAP_FMAC4 | soap_get_byte (struct soap *, char *, const char *, const char *)
int | soap_read_byte (struct soap *soap, char *p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_int (struct soap *, int *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_int (struct soap *, const char *, int, const int *, const char *)
SOAP_FMAC3 int *SOAP_FMAC4 | soap_in_int (struct soap *, const char *, int *, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_int (struct soap *, const int *, const char *, const char *)
int | soap_write_int (struct soap *soap, int const *p)
SOAP_FMAC3 int *SOAP_FMAC4 | soap_get_int (struct soap *, int *, const char *, const char *)
int | soap_read_int (struct soap *soap, int *p)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_Graph (struct soap *, const char *, int, const Graph *, const char *)
SOAP_FMAC3 Graph *SOAP_FMAC4 | soap_in_Graph (struct soap *, const char *, Graph *, const char *)
SOAP_FMAC1 Graph *SOAP_FMAC2 | graph_instantiate_Graph (struct soap *, int, const char *, const char *, size_t *)
Graph * | soap_new_Graph (struct soap *soap, int n=-1)
Graph * | soap_new_req_Graph (struct soap *soap)
Graph * | soap_new_set_Graph (struct soap *soap, const std::vector< Graph * > &edges)
int | soap_write_Graph (struct soap *soap, Graph const *p)
SOAP_FMAC3 Graph *SOAP_FMAC4 | soap_get_Graph (struct soap *, Graph *, const char *, const char *)
int | soap_read_Graph (struct soap *soap, Graph *p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_SOAP_ENV__Fault (struct soap *, struct SOAP_ENV__Fault *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_SOAP_ENV__Fault (struct soap *, const struct SOAP_ENV__Fault *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_SOAP_ENV__Fault (struct soap *, const char *, int, const struct SOAP_ENV__Fault *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Fault *SOAP_FMAC4 | soap_in_SOAP_ENV__Fault (struct soap *, const char *, struct SOAP_ENV__Fault *, const char *)
SOAP_FMAC1 struct SOAP_ENV__Fault *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Fault (struct soap *, int, const char *, const char *, size_t *)
struct SOAP_ENV__Fault * | soap_new_SOAP_ENV__Fault (struct soap *soap, int n=-1)
struct SOAP_ENV__Fault * | soap_new_req_SOAP_ENV__Fault (struct soap *soap)
struct SOAP_ENV__Fault * | soap_new_set_SOAP_ENV__Fault (struct soap *soap, char *faultcode, char *faultstring, char *faultactor, struct SOAP_ENV__Detail *detail, struct SOAP_ENV__Code *SOAP_ENV__Code, struct SOAP_ENV__Reason *SOAP_ENV__Reason, char *SOAP_ENV__Node, char *SOAP_ENV__Role, struct SOAP_ENV__Detail *SOAP_ENV__Detail)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_SOAP_ENV__Fault (struct soap *, const struct SOAP_ENV__Fault *, const char *, const char *)
int | soap_write_SOAP_ENV__Fault (struct soap *soap, struct SOAP_ENV__Fault const *p)
SOAP_FMAC3 struct SOAP_ENV__Fault *SOAP_FMAC4 | soap_get_SOAP_ENV__Fault (struct soap *, struct SOAP_ENV__Fault *, const char *, const char *)
int | soap_read_SOAP_ENV__Fault (struct soap *soap, struct SOAP_ENV__Fault *p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_SOAP_ENV__Reason (struct soap *, struct SOAP_ENV__Reason *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_SOAP_ENV__Reason (struct soap *, const struct SOAP_ENV__Reason *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_SOAP_ENV__Reason (struct soap *, const char *, int, const struct SOAP_ENV__Reason *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Reason *SOAP_FMAC4 | soap_in_SOAP_ENV__Reason (struct soap *, const char *, struct SOAP_ENV__Reason *, const char *)
SOAP_FMAC1 struct SOAP_ENV__Reason *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Reason (struct soap *, int, const char *, const char *, size_t *)
struct SOAP_ENV__Reason * | soap_new_SOAP_ENV__Reason (struct soap *soap, int n=-1)
struct SOAP_ENV__Reason * | soap_new_req_SOAP_ENV__Reason (struct soap *soap)
struct SOAP_ENV__Reason * | soap_new_set_SOAP_ENV__Reason (struct soap *soap, char *SOAP_ENV__Text)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_SOAP_ENV__Reason (struct soap *, const struct SOAP_ENV__Reason *, const char *, const char *)
int | soap_write_SOAP_ENV__Reason (struct soap *soap, struct SOAP_ENV__Reason const *p)
SOAP_FMAC3 struct SOAP_ENV__Reason *SOAP_FMAC4 | soap_get_SOAP_ENV__Reason (struct soap *, struct SOAP_ENV__Reason *, const char *, const char *)
int | soap_read_SOAP_ENV__Reason (struct soap *soap, struct SOAP_ENV__Reason *p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_SOAP_ENV__Detail (struct soap *, struct SOAP_ENV__Detail *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_SOAP_ENV__Detail (struct soap *, const struct SOAP_ENV__Detail *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_SOAP_ENV__Detail (struct soap *, const char *, int, const struct SOAP_ENV__Detail *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Detail *SOAP_FMAC4 | soap_in_SOAP_ENV__Detail (struct soap *, const char *, struct SOAP_ENV__Detail *, const char *)
SOAP_FMAC1 struct SOAP_ENV__Detail *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Detail (struct soap *, int, const char *, const char *, size_t *)
struct SOAP_ENV__Detail * | soap_new_SOAP_ENV__Detail (struct soap *soap, int n=-1)
struct SOAP_ENV__Detail * | soap_new_req_SOAP_ENV__Detail (struct soap *soap, int __type, void *fault)
struct SOAP_ENV__Detail * | soap_new_set_SOAP_ENV__Detail (struct soap *soap, char *__any, int __type, void *fault)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_SOAP_ENV__Detail (struct soap *, const struct SOAP_ENV__Detail *, const char *, const char *)
int | soap_write_SOAP_ENV__Detail (struct soap *soap, struct SOAP_ENV__Detail const *p)
SOAP_FMAC3 struct SOAP_ENV__Detail *SOAP_FMAC4 | soap_get_SOAP_ENV__Detail (struct soap *, struct SOAP_ENV__Detail *, const char *, const char *)
int | soap_read_SOAP_ENV__Detail (struct soap *soap, struct SOAP_ENV__Detail *p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_SOAP_ENV__Code (struct soap *, struct SOAP_ENV__Code *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_SOAP_ENV__Code (struct soap *, const struct SOAP_ENV__Code *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_SOAP_ENV__Code (struct soap *, const char *, int, const struct SOAP_ENV__Code *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Code *SOAP_FMAC4 | soap_in_SOAP_ENV__Code (struct soap *, const char *, struct SOAP_ENV__Code *, const char *)
SOAP_FMAC1 struct SOAP_ENV__Code *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Code (struct soap *, int, const char *, const char *, size_t *)
struct SOAP_ENV__Code * | soap_new_SOAP_ENV__Code (struct soap *soap, int n=-1)
struct SOAP_ENV__Code * | soap_new_req_SOAP_ENV__Code (struct soap *soap)
struct SOAP_ENV__Code * | soap_new_set_SOAP_ENV__Code (struct soap *soap, char *SOAP_ENV__Value, struct SOAP_ENV__Code *SOAP_ENV__Subcode)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_SOAP_ENV__Code (struct soap *, const struct SOAP_ENV__Code *, const char *, const char *)
int | soap_write_SOAP_ENV__Code (struct soap *soap, struct SOAP_ENV__Code const *p)
SOAP_FMAC3 struct SOAP_ENV__Code *SOAP_FMAC4 | soap_get_SOAP_ENV__Code (struct soap *, struct SOAP_ENV__Code *, const char *, const char *)
int | soap_read_SOAP_ENV__Code (struct soap *soap, struct SOAP_ENV__Code *p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_SOAP_ENV__Header (struct soap *, struct SOAP_ENV__Header *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_SOAP_ENV__Header (struct soap *, const struct SOAP_ENV__Header *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_SOAP_ENV__Header (struct soap *, const char *, int, const struct SOAP_ENV__Header *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Header *SOAP_FMAC4 | soap_in_SOAP_ENV__Header (struct soap *, const char *, struct SOAP_ENV__Header *, const char *)
SOAP_FMAC1 struct SOAP_ENV__Header *SOAP_FMAC2 | graph_instantiate_SOAP_ENV__Header (struct soap *, int, const char *, const char *, size_t *)
struct SOAP_ENV__Header * | soap_new_SOAP_ENV__Header (struct soap *soap, int n=-1)
struct SOAP_ENV__Header * | soap_new_req_SOAP_ENV__Header (struct soap *soap)
struct SOAP_ENV__Header * | soap_new_set_SOAP_ENV__Header (struct soap *soap)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_SOAP_ENV__Header (struct soap *, const struct SOAP_ENV__Header *, const char *, const char *)
int | soap_write_SOAP_ENV__Header (struct soap *soap, struct SOAP_ENV__Header const *p)
SOAP_FMAC3 struct SOAP_ENV__Header *SOAP_FMAC4 | soap_get_SOAP_ENV__Header (struct soap *, struct SOAP_ENV__Header *, const char *, const char *)
int | soap_read_SOAP_ENV__Header (struct soap *soap, struct SOAP_ENV__Header *p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_PointerToSOAP_ENV__Reason (struct soap *, struct SOAP_ENV__Reason *const *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_PointerToSOAP_ENV__Reason (struct soap *, const char *, int, struct SOAP_ENV__Reason *const *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Reason **SOAP_FMAC4 | soap_in_PointerToSOAP_ENV__Reason (struct soap *, const char *, struct SOAP_ENV__Reason **, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_PointerToSOAP_ENV__Reason (struct soap *, struct SOAP_ENV__Reason *const *, const char *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Reason **SOAP_FMAC4 | soap_get_PointerToSOAP_ENV__Reason (struct soap *, struct SOAP_ENV__Reason **, const char *, const char *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_PointerToSOAP_ENV__Detail (struct soap *, struct SOAP_ENV__Detail *const *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_PointerToSOAP_ENV__Detail (struct soap *, const char *, int, struct SOAP_ENV__Detail *const *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Detail **SOAP_FMAC4 | soap_in_PointerToSOAP_ENV__Detail (struct soap *, const char *, struct SOAP_ENV__Detail **, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_PointerToSOAP_ENV__Detail (struct soap *, struct SOAP_ENV__Detail *const *, const char *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Detail **SOAP_FMAC4 | soap_get_PointerToSOAP_ENV__Detail (struct soap *, struct SOAP_ENV__Detail **, const char *, const char *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_PointerToSOAP_ENV__Code (struct soap *, struct SOAP_ENV__Code *const *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_PointerToSOAP_ENV__Code (struct soap *, const char *, int, struct SOAP_ENV__Code *const *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Code **SOAP_FMAC4 | soap_in_PointerToSOAP_ENV__Code (struct soap *, const char *, struct SOAP_ENV__Code **, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_PointerToSOAP_ENV__Code (struct soap *, struct SOAP_ENV__Code *const *, const char *, const char *)
SOAP_FMAC3 struct SOAP_ENV__Code **SOAP_FMAC4 | soap_get_PointerToSOAP_ENV__Code (struct soap *, struct SOAP_ENV__Code **, const char *, const char *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_PointerToGraph (struct soap *, Graph *const *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_PointerToGraph (struct soap *, const char *, int, Graph *const *, const char *)
SOAP_FMAC3 Graph **SOAP_FMAC4 | soap_in_PointerToGraph (struct soap *, const char *, Graph **, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_PointerToGraph (struct soap *, Graph *const *, const char *, const char *)
SOAP_FMAC3 Graph **SOAP_FMAC4 | soap_get_PointerToGraph (struct soap *, Graph **, const char *, const char *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default__QName (struct soap *, char **)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize__QName (struct soap *, char *const *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out__QName (struct soap *, const char *, int, char *const *, const char *)
SOAP_FMAC3 char **SOAP_FMAC4 | soap_in__QName (struct soap *, const char *, char **, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put__QName (struct soap *, char *const *, const char *, const char *)
int | soap_write__QName (struct soap *soap, char *const *p)
SOAP_FMAC3 char **SOAP_FMAC4 | soap_get__QName (struct soap *, char **, const char *, const char *)
int | soap_read__QName (struct soap *soap, char **p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_string (struct soap *, char **)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_string (struct soap *, char *const *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_string (struct soap *, const char *, int, char *const *, const char *)
SOAP_FMAC3 char **SOAP_FMAC4 | soap_in_string (struct soap *, const char *, char **, const char *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_string (struct soap *, char *const *, const char *, const char *)
int | soap_write_string (struct soap *soap, char *const *p)
SOAP_FMAC3 char **SOAP_FMAC4 | soap_get_string (struct soap *, char **, const char *, const char *)
int | soap_read_string (struct soap *soap, char **p)
SOAP_FMAC3 void SOAP_FMAC4 | soap_default_std__vectorTemplateOfPointerToGraph (struct soap *, std::vector< Graph * > *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_std__vectorTemplateOfPointerToGraph (struct soap *, const std::vector< Graph * > *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_out_std__vectorTemplateOfPointerToGraph (struct soap *, const char *, int, const std::vector< Graph * > *, const char *)
SOAP_FMAC3 std::vector< Graph * > *SOAP_FMAC4 | soap_in_std__vectorTemplateOfPointerToGraph (struct soap *, const char *, std::vector< Graph * > *, const char *)
SOAP_FMAC1 std::vector< Graph * > *SOAP_FMAC2 | graph_instantiate_std__vectorTemplateOfPointerToGraph (struct soap *, int, const char *, const char *, size_t *)
std::vector< Graph * > * | soap_new_std__vectorTemplateOfPointerToGraph (struct soap *soap, int n=-1)

## Macro Definition Documentation

#define soap__QName2s | ( |  | soap,
|  |  | a
| ) |  | soap_QName2s(soap, (a))

Definition at line 550 of file graphH.h.

#define soap_s2_QName | ( |  | soap,
|  |  | s,
|  |  | a
| ) |  | soap_s2QName((soap), (s), (char**)(a), 0, -1, NULL)

Definition at line 553 of file graphH.h.

#define soap_s2string | ( |  | soap,
|  |  | s,
|  |  | a
| ) |  | soap_s2char((soap), (s), (char**)(a), 0, -1, NULL)

Definition at line 586 of file graphH.h.

#define soap_string2s | ( |  | soap,
|  |  | a
| ) |  | (a)

Definition at line 583 of file graphH.h.

#define SOAP_TYPE__QName_DEFINED

Definition at line 546 of file graphH.h.

#define SOAP_TYPE__XML_DEFINED

Definition at line 542 of file graphH.h.

#define SOAP_TYPE_byte_DEFINED

Definition at line 49 of file graphH.h.

#define SOAP_TYPE_Graph_DEFINED

Definition at line 105 of file graphH.h.

#define SOAP_TYPE_int_DEFINED

Definition at line 77 of file graphH.h.

#define SOAP_TYPE_PointerToGraph_DEFINED

Definition at line 533 of file graphH.h.

#define SOAP_TYPE_PointerToSOAP_ENV__Code_DEFINED

Definition at line 522 of file graphH.h.

#define SOAP_TYPE_PointerToSOAP_ENV__Detail_DEFINED

Definition at line 509 of file graphH.h.

#define SOAP_TYPE_PointerToSOAP_ENV__Reason_DEFINED

Definition at line 496 of file graphH.h.

#define SOAP_TYPE_SOAP_ENV__Code_DEFINED

Definition at line 372 of file graphH.h.

#define SOAP_TYPE_SOAP_ENV__Detail_DEFINED

Definition at line 302 of file graphH.h.

#define SOAP_TYPE_SOAP_ENV__Fault_DEFINED

Definition at line 162 of file graphH.h.

#define SOAP_TYPE_SOAP_ENV__Header_DEFINED

Definition at line 436 of file graphH.h.

#define SOAP_TYPE_SOAP_ENV__Reason_DEFINED

Definition at line 240 of file graphH.h.

#define SOAP_TYPE_std__vectorTemplateOfPointerToGraph_DEFINED

Definition at line 612 of file graphH.h.

#define SOAP_TYPE_string_DEFINED

Definition at line 579 of file graphH.h.

## Function Documentation

SOAP_FMAC3 int SOAP_FMAC4 graph_fbase | ( | int | ,
|  | int |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 graph_fdelete | ( | struct soap_clist * |  | ) |

SOAP_FMAC3 void SOAP_FMAC4 graph_finsert | ( | struct soap * | ,
|  | int | ,
|  | int | ,
|  | void * | ,
|  | size_t | ,
|  | const void * | ,
|  | void ** |
| ) |  |

SOAP_FMAC3 void* SOAP_FMAC4 graph_instantiate | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

SOAP_FMAC1 Graph* SOAP_FMAC2 graph_instantiate_Graph | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

SOAP_FMAC1 struct SOAP_ENV__Code* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Code | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

Friend allocator used by soap_new_SOAP_ENV__Code(struct soap*, int)

SOAP_FMAC1 struct SOAP_ENV__Detail* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Detail | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

Friend allocator used by soap_new_SOAP_ENV__Detail(struct soap*, int)

SOAP_FMAC1 struct SOAP_ENV__Fault* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Fault | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

Friend allocator used by soap_new_SOAP_ENV__Fault(struct soap*, int)

SOAP_FMAC1 struct SOAP_ENV__Header* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Header | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

Friend allocator used by soap_new_SOAP_ENV__Header(struct soap*, int)

SOAP_FMAC1 struct SOAP_ENV__Reason* SOAP_FMAC2 graph_instantiate_SOAP_ENV__Reason | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

Friend allocator used by soap_new_SOAP_ENV__Reason(struct soap*, int)

SOAP_FMAC1 std::vector<Graph *>* SOAP_FMAC2 graph_instantiate_std__vectorTemplateOfPointerToGraph | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_default__QName | ( | struct soap * | ,
|  | char ** |
| ) |  |
| inline

Definition at line 1159 of file addressH.h.

SOAP_FMAC3 void SOAP_FMAC4 soap_default_byte | ( | struct soap * | ,
|  | char * |
| ) |  |
| inline

Definition at line 51 of file addressH.h.

SOAP_FMAC3 void SOAP_FMAC4 soap_default_int | ( | struct soap * | ,
|  | int * |
| ) |  |
| inline

Definition at line 120 of file addressH.h.

SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Code | ( | struct soap * | ,
|  | struct SOAP_ENV__Code * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Detail | ( | struct soap * | ,
|  | struct SOAP_ENV__Detail * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Fault | ( | struct soap * | ,
|  | struct SOAP_ENV__Fault * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Header | ( | struct soap * | ,
|  | struct SOAP_ENV__Header * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_default_SOAP_ENV__Reason | ( | struct soap * | ,
|  | struct SOAP_ENV__Reason * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_default_std__vectorTemplateOfPointerToGraph | ( | struct soap * | ,
|  | std::vector< Graph * > * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_default_string | ( | struct soap * | ,
|  | char ** |
| ) |  |
| inline

Definition at line 1233 of file addressH.h.

SOAP_FMAC3 const char** SOAP_FMAC4 soap_faultcode | ( | struct soap * | soap | ) |

SOAP_FMAC3 char** SOAP_FMAC4 soap_get__QName | ( | struct soap * | ,
|  | char ** | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 char* SOAP_FMAC4 soap_get_byte | ( | struct soap * | ,
|  | char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 Graph* SOAP_FMAC4 soap_get_Graph | ( | struct soap * | ,
|  | Graph * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int* SOAP_FMAC4 soap_get_int | ( | struct soap * | ,
|  | int * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 Graph** SOAP_FMAC4 soap_get_PointerToGraph | ( | struct soap * | ,
|  | Graph ** | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Code** SOAP_FMAC4 soap_get_PointerToSOAP_ENV__Code | ( | struct soap * | ,
|  | struct SOAP_ENV__Code ** | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Detail** SOAP_FMAC4 soap_get_PointerToSOAP_ENV__Detail | ( | struct soap * | ,
|  | struct SOAP_ENV__Detail ** | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Reason** SOAP_FMAC4 soap_get_PointerToSOAP_ENV__Reason | ( | struct soap * | ,
|  | struct SOAP_ENV__Reason ** | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Code* SOAP_FMAC4 soap_get_SOAP_ENV__Code | ( | struct soap * | ,
|  | struct SOAP_ENV__Code * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Detail* SOAP_FMAC4 soap_get_SOAP_ENV__Detail | ( | struct soap * | ,
|  | struct SOAP_ENV__Detail * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Fault* SOAP_FMAC4 soap_get_SOAP_ENV__Fault | ( | struct soap * | ,
|  | struct SOAP_ENV__Fault * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Header* SOAP_FMAC4 soap_get_SOAP_ENV__Header | ( | struct soap * | ,
|  | struct SOAP_ENV__Header * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Reason* SOAP_FMAC4 soap_get_SOAP_ENV__Reason | ( | struct soap * | ,
|  | struct SOAP_ENV__Reason * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 char** SOAP_FMAC4 soap_get_string | ( | struct soap * | ,
|  | char ** | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 void* SOAP_FMAC4 soap_getelement | ( | struct soap * | ,
|  | int * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_getindependent | ( | struct soap * |  | ) |

SOAP_FMAC3 int SOAP_FMAC4 soap_ignore_element | ( | struct soap * |  | ) |

SOAP_FMAC3 char* * SOAP_FMAC4 soap_in__QName | ( | struct soap * | ,
|  | const char * | ,
|  | char ** | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 char* SOAP_FMAC4 soap_in_byte | ( | struct soap * | ,
|  | const char * | ,
|  | char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 Graph* SOAP_FMAC4 soap_in_Graph | ( | struct soap * | ,
|  | const char * | ,
|  | Graph * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int* SOAP_FMAC4 soap_in_int | ( | struct soap * | ,
|  | const char * | ,
|  | int * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 Graph** SOAP_FMAC4 soap_in_PointerToGraph | ( | struct soap * | ,
|  | const char * | ,
|  | Graph ** | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Code** SOAP_FMAC4 soap_in_PointerToSOAP_ENV__Code | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Code ** | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Detail** SOAP_FMAC4 soap_in_PointerToSOAP_ENV__Detail | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Detail ** | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Reason** SOAP_FMAC4 soap_in_PointerToSOAP_ENV__Reason | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Reason ** | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Code* SOAP_FMAC4 soap_in_SOAP_ENV__Code | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Code * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Detail* SOAP_FMAC4 soap_in_SOAP_ENV__Detail | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Detail * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Fault* SOAP_FMAC4 soap_in_SOAP_ENV__Fault | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Fault * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Header* SOAP_FMAC4 soap_in_SOAP_ENV__Header | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Header * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 struct SOAP_ENV__Reason* SOAP_FMAC4 soap_in_SOAP_ENV__Reason | ( | struct soap * | ,
|  | const char * | ,
|  | struct SOAP_ENV__Reason * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 std::vector<Graph *>* SOAP_FMAC4 soap_in_std__vectorTemplateOfPointerToGraph | ( | struct soap * | ,
|  | const char * | ,
|  | std::vector< Graph * > * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 char* * SOAP_FMAC4 soap_in_string | ( | struct soap * | ,
|  | const char * | ,
|  | char ** | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_markelement | ( | struct soap * | ,
|  | const void * | ,
|  | int |
| ) |  |

Graph* soap_new_Graph | ( | struct soap * | soap,
|  | int | n = `-1`
| ) |  |
| inline

Definition at line 110 of file graphH.h.

Graph* soap_new_req_Graph | ( | struct soap * | soap | ) |
| inline

Definition at line 115 of file graphH.h.

struct SOAP_ENV__Code* soap_new_req_SOAP_ENV__Code | ( | struct soap * | soap | ) |

Definition at line 384 of file graphH.h.

struct SOAP_ENV__Detail* soap_new_req_SOAP_ENV__Detail | ( | struct soap * | soap,
|  | int | __type,
|  | void * | fault
| ) |  |

Definition at line 314 of file graphH.h.

struct SOAP_ENV__Fault* soap_new_req_SOAP_ENV__Fault | ( | struct soap * | soap | ) |

Definition at line 174 of file graphH.h.

struct SOAP_ENV__Header* soap_new_req_SOAP_ENV__Header | ( | struct soap * | soap | ) |

Definition at line 448 of file graphH.h.

struct SOAP_ENV__Reason* soap_new_req_SOAP_ENV__Reason | ( | struct soap * | soap | ) |

Definition at line 252 of file graphH.h.

Graph* soap_new_set_Graph | ( | struct soap * | soap,
|  | const std::vector< Graph * > & | edges
| ) |  |
| inline

Definition at line 125 of file graphH.h.

struct SOAP_ENV__Code* soap_new_set_SOAP_ENV__Code | ( | struct soap * | soap,
|  | char * | SOAP_ENV__Value,
|  | struct SOAP_ENV__Code * | SOAP_ENV__Subcode
| ) |  |

Definition at line 394 of file graphH.h.

struct SOAP_ENV__Detail* soap_new_set_SOAP_ENV__Detail | ( | struct soap * | soap,
|  | char * | __any,
|  | int | __type,
|  | void * | fault
| ) |  |

Definition at line 328 of file graphH.h.

struct SOAP_ENV__Fault* soap_new_set_SOAP_ENV__Fault | ( | struct soap * | soap,
|  | char * | faultcode,
|  | char * | faultstring,
|  | char * | faultactor,
|  | struct SOAP_ENV__Detail * | detail,
|  | struct SOAP_ENV__Code * | SOAP_ENV__Code,
|  | struct SOAP_ENV__Reason * | SOAP_ENV__Reason,
|  | char * | SOAP_ENV__Node,
|  | char * | SOAP_ENV__Role,
|  | struct SOAP_ENV__Detail * | SOAP_ENV__Detail
| ) |  |

Definition at line 184 of file graphH.h.

struct SOAP_ENV__Header* soap_new_set_SOAP_ENV__Header | ( | struct soap * | soap | ) |

Definition at line 458 of file graphH.h.

struct SOAP_ENV__Reason* soap_new_set_SOAP_ENV__Reason | ( | struct soap * | soap,
|  | char * | SOAP_ENV__Text
| ) |  |

Definition at line 262 of file graphH.h.

struct SOAP_ENV__Code* soap_new_SOAP_ENV__Code | ( | struct soap * | soap,
|  | int | n = `-1`
| ) |  |

Definition at line 379 of file graphH.h.

struct SOAP_ENV__Detail* soap_new_SOAP_ENV__Detail | ( | struct soap * | soap,
|  | int | n = `-1`
| ) |  |

Definition at line 309 of file graphH.h.

struct SOAP_ENV__Fault* soap_new_SOAP_ENV__Fault | ( | struct soap * | soap,
|  | int | n = `-1`
| ) |  |

Definition at line 169 of file graphH.h.

struct SOAP_ENV__Header* soap_new_SOAP_ENV__Header | ( | struct soap * | soap,
|  | int | n = `-1`
| ) |  |

Definition at line 443 of file graphH.h.

struct SOAP_ENV__Reason* soap_new_SOAP_ENV__Reason | ( | struct soap * | soap,
|  | int | n = `-1`
| ) |  |

Definition at line 247 of file graphH.h.

std::vector<Graph *>* soap_new_std__vectorTemplateOfPointerToGraph | ( | struct soap * | soap,
|  | int | n = `-1`
| ) |  |
| inline

Definition at line 619 of file graphH.h.

SOAP_FMAC3 int SOAP_FMAC4 soap_out__QName | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | char *const * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_byte | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_Graph | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const Graph * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_int | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const int * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerToGraph | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | Graph *const * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerToSOAP_ENV__Code | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | struct SOAP_ENV__Code *const * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerToSOAP_ENV__Detail | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | struct SOAP_ENV__Detail *const * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_PointerToSOAP_ENV__Reason | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | struct SOAP_ENV__Reason *const * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Code | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const struct SOAP_ENV__Code * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Detail | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const struct SOAP_ENV__Detail * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Fault | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const struct SOAP_ENV__Fault * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Header | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const struct SOAP_ENV__Header * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_SOAP_ENV__Reason | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const struct SOAP_ENV__Reason * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_std__vectorTemplateOfPointerToGraph | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | const std::vector< Graph * > * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_out_string | ( | struct soap * | ,
|  | const char * | ,
|  | int | ,
|  | char *const * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put__QName | ( | struct soap * | ,
|  | char *const * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_byte | ( | struct soap * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_int | ( | struct soap * | ,
|  | const int * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerToGraph | ( | struct soap * | ,
|  | Graph *const * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerToSOAP_ENV__Code | ( | struct soap * | ,
|  | struct SOAP_ENV__Code *const * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerToSOAP_ENV__Detail | ( | struct soap * | ,
|  | struct SOAP_ENV__Detail *const * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_PointerToSOAP_ENV__Reason | ( | struct soap * | ,
|  | struct SOAP_ENV__Reason *const * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Code | ( | struct soap * | ,
|  | const struct SOAP_ENV__Code * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Detail | ( | struct soap * | ,
|  | const struct SOAP_ENV__Detail * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Fault | ( | struct soap * | ,
|  | const struct SOAP_ENV__Fault * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Header | ( | struct soap * | ,
|  | const struct SOAP_ENV__Header * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_SOAP_ENV__Reason | ( | struct soap * | ,
|  | const struct SOAP_ENV__Reason * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_put_string | ( | struct soap * | ,
|  | char *const * | ,
|  | const char * | ,
|  | const char * |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_putelement | ( | struct soap * | ,
|  | const void * | ,
|  | const char * | ,
|  | int | ,
|  | int |
| ) |  |

SOAP_FMAC3 int SOAP_FMAC4 soap_putindependent | ( | struct soap * |  | ) |

int soap_read__QName | ( | struct soap * | soap,
|  | char ** | p
| ) |  |
| inline

Definition at line 568 of file graphH.h.

int soap_read_byte | ( | struct soap * | soap,
|  | char * | p
| ) |  |
| inline

Definition at line 66 of file graphH.h.

int soap_read_Graph | ( | struct soap * | soap,
|  | Graph * | p
| ) |  |
| inline

Definition at line 148 of file graphH.h.

int soap_read_int | ( | struct soap * | soap,
|  | int * | p
| ) |  |
| inline

Definition at line 94 of file graphH.h.

int soap_read_SOAP_ENV__Code | ( | struct soap * | soap,
|  | struct SOAP_ENV__Code * | p
| ) |  |
| inline

Definition at line 420 of file graphH.h.

int soap_read_SOAP_ENV__Detail | ( | struct soap * | soap,
|  | struct SOAP_ENV__Detail * | p
| ) |  |
| inline

Definition at line 356 of file graphH.h.

int soap_read_SOAP_ENV__Fault | ( | struct soap * | soap,
|  | struct SOAP_ENV__Fault * | p
| ) |  |
| inline

Definition at line 224 of file graphH.h.

int soap_read_SOAP_ENV__Header | ( | struct soap * | soap,
|  | struct SOAP_ENV__Header * | p
| ) |  |
| inline

Definition at line 480 of file graphH.h.

int soap_read_SOAP_ENV__Reason | ( | struct soap * | soap,
|  | struct SOAP_ENV__Reason * | p
| ) |  |
| inline

Definition at line 286 of file graphH.h.

int soap_read_string | ( | struct soap * | soap,
|  | char ** | p
| ) |  |
| inline

Definition at line 601 of file graphH.h.

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize__QName | ( | struct soap * | ,
|  | char *const * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerToGraph | ( | struct soap * | ,
|  | Graph *const * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerToSOAP_ENV__Code | ( | struct soap * | ,
|  | struct SOAP_ENV__Code *const * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerToSOAP_ENV__Detail | ( | struct soap * | ,
|  | struct SOAP_ENV__Detail *const * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_PointerToSOAP_ENV__Reason | ( | struct soap * | ,
|  | struct SOAP_ENV__Reason *const * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Code | ( | struct soap * | ,
|  | const struct SOAP_ENV__Code * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Detail | ( | struct soap * | ,
|  | const struct SOAP_ENV__Detail * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Fault | ( | struct soap * | ,
|  | const struct SOAP_ENV__Fault * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Header | ( | struct soap * | ,
|  | const struct SOAP_ENV__Header * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_SOAP_ENV__Reason | ( | struct soap * | ,
|  | const struct SOAP_ENV__Reason * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_std__vectorTemplateOfPointerToGraph | ( | struct soap * | ,
|  | const std::vector< Graph * > * |
| ) |  |

SOAP_FMAC3 void SOAP_FMAC4 soap_serialize_string | ( | struct soap * | ,
|  | char *const * |
| ) |  |

int soap_write__QName | ( | struct soap * | soap,
|  | char *const * | p
| ) |  |
| inline

Definition at line 557 of file graphH.h.

int soap_write_byte | ( | struct soap * | soap,
|  | char const * | p
| ) |  |
| inline

Definition at line 55 of file graphH.h.

int soap_write_Graph | ( | struct soap * | soap,
|  | Graph const * | p
| ) |  |
| inline

Definition at line 137 of file graphH.h.

int soap_write_int | ( | struct soap * | soap,
|  | int const * | p
| ) |  |
| inline

Definition at line 83 of file graphH.h.

int soap_write_SOAP_ENV__Code | ( | struct soap * | soap,
|  | struct SOAP_ENV__Code const * | p
| ) |  |
| inline

Definition at line 409 of file graphH.h.

int soap_write_SOAP_ENV__Detail | ( | struct soap * | soap,
|  | struct SOAP_ENV__Detail const * | p
| ) |  |
| inline

Definition at line 345 of file graphH.h.

int soap_write_SOAP_ENV__Fault | ( | struct soap * | soap,
|  | struct SOAP_ENV__Fault const * | p
| ) |  |
| inline

Definition at line 213 of file graphH.h.

int soap_write_SOAP_ENV__Header | ( | struct soap * | soap,
|  | struct SOAP_ENV__Header const * | p
| ) |  |
| inline

Definition at line 469 of file graphH.h.

int soap_write_SOAP_ENV__Reason | ( | struct soap * | soap,
|  | struct SOAP_ENV__Reason const * | p
| ) |  |
| inline

Definition at line 275 of file graphH.h.

int soap_write_string | ( | struct soap * | soap,
|  | char *const * | p
| ) |  |
| inline

Definition at line 590 of file graphH.h.